Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class DSCMessage

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.DSCMessage

All Implemented Interfaces:
  Serializable

    public class DSCMessage

extends Object
implements Serializable

This is a wrapper Serializable dedicated to support the DistributedStateCache such that the message ncapsulates the operation for which the message is intended at the receivers end.

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: May 9, 2005
See Also:
  Serialized Form

Nested Class Summary
`static class` | `DSCMessage.OPERATION`

Constructor Summary
`DSCMessage(ConcurrentHashMap<GMSCacheable,Object> cache, String operation, boolean isCoordinator)`
`DSCMessage(GMSCacheable key, Object value, String operation)` This constructor expects a GMSCacheable object representing the composite key comprising component, member id, and the state specific key, followed by the value.

Method Summary
`ConcurrentHashMap<GMSCacheable,Object>` | `getCache()`
`GMSCacheable` | `getKey()`
`String` | `getOperation()`
`Object` | `getValue()`
`boolean` | `isCoordinator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSCMessage

    public DSCMessage(GMSCacheable key,
                      Object value,
                      String operation)

  This constructor expects a GMSCacheable object representing the composite key comprising component, member id, and the state specific key, followed by the value. The value object should strictly be only a byte[] or a Serializable Object.

  Parameters:
    `key` -
    `value` -
    `operation` -

### DSCMessage

    public DSCMessage(ConcurrentHashMap<GMSCacheable,Object> cache,
                      String operation,
                      boolean isCoordinator)

Method Detail

### getKey

    public GMSCacheable getKey()

### getValue

    public Object getValue()

### getOperation

    public String getOperation()

### getCache

    public ConcurrentHashMap<GMSCacheable,Object> getCache()

### isCoordinator

    public boolean isCoordinator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.